## net.i2p.data.i2cp
Class I2CPMessageHandler

    java.lang.Object
      net.i2p.data.i2cp.I2CPMessageHandler

public class I2CPMessageHandler
extends java.lang.Object

Handle messages from the server for the client

Constructor Summary
`I2CPMessageHandler()`

Method Summary
`static void` `main(java.lang.String[] args)`
`static I2CPMessage` `readMessage(java.io.InputStream in)` Read an I2CPMessage from the stream and return the fully populated object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I2CPMessageHandler

    public I2CPMessageHandler()

Method Detail

### readMessage

    public static I2CPMessage readMessage(java.io.InputStream in)
                                   throws java.io.IOException,
                                          I2CPMessageException

  Read an I2CPMessage from the stream and return the fully populated object.

  Throws:
    `java.io.IOException` - if there is an IO problem reading from the stream
    `I2CPMessageException` - if there is a problem handling the particular message - if it is an unknown type or has improper formatting, etc.

### main

    public static void main(java.lang.String[] args)